QGIS Application - Bug report #11218
Erro de execucao do codigo Python Traceback
2014-09-17 08:06 AM - Bruno Fernandes

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corruptsdata: Copied to github as #: 19528
Description

Ol4,

Eu uso o QGis para manipular dados SRTM na empresa onde trabalho e ao me deparar com a necessidade de colocar
o projeto em 3D, para visualizagéo, houve a seguinte mensagem:

Um erro ocorreu enquanto executava o seguinte codigo Python

Traceback (most recent call last):
File "C:/Users/bruno/.qgis2/python/plugins\\openlayers_plugin\\openlayers_layer.py", line 134, in pagelL.oaded
self.setup_map()
File "C:/Users/bruno/.qgis2/python/plugins\\openlayers_plugin\\openlayers_layer.py", line 184, in setup_map
olSize = QSize(int(olWidth), int(olHeight))
OverflowError: cannot convert float infinity to integer

Verséo do Python:
2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

Versdo do QGIS
2.4.0-Chugiak Chugiak, 8fdd08a

Caminho para o Python: ['C:/PROGRA~1/QGISCH~1/apps/qgis/./python/plugins\\\processing',
'C:/PROGRA~1/QGISCH~1/apps/qgis/./python’, u'C:/Users/bruno/.qgis2/python’, u'C:/Users/bruno/.qgis2/python/plugins’,
'C:/PROGRA~1/QGISCH~1/apps/qgis/./python/plugins’, 'C:\\W\PROGRA~1\WQGISCH~1\\bin\\python27.zip',
'C:\WPROGRA~1\WQGISCH~1\\apps\\\Python27\WDLLs', 'C:\WPROGRA~1\WQGISCH~1\\\apps\\\Python27\\\lib',
'C:WPROGRA~T\WQGISCH~1\\\apps\\\Python27\\\lib\W\plat-win', 'C:\WPROGRA~1\WQGISCH~1\\\\apps\\\\Python27\\\\lib\\\lib-tk',
'C:WPROGRA~T1\WQGISCH~1\\\bin', 'C:\WPROGRA~1\WQGISCH~1\\\apps\\\Python27",
'CAWPROGRA~1\WQGISCH~1\\W\apps\\WPython27\\\lib\\site-packages',
'C\WPROGRA~1\WQGISCH~1\\\apps\\Python27\\\lib\\\\site-packages\\PIL"',
'C:\WPROGRA~1\WQGISCH~1\\\apps\\WPython27\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg’,
'C:\WPROGRA~1\WQGISCH~1\\\apps\\WPython27\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win-amd64.egg’,
'C:\WPROGRA~1\WQGISCH~1\\\apps\\Python27\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egg’,
'C:\WPROGRA~1\WQGISCH~1\\\apps\\\Python27\\\lib\\\\site-packages\\win32',
'C:\WPROGRA~1\WQGISCH~1\\\apps\\W\Python27\\\lib\\\\site-packages\\\win32\\\\lib',
'C:\WPROGRA~1\WQGISCH~1\\apps\\WPython27\\\lib\\\\site-packages\\\\Pythonwin’',
'C:\WPROGRA~1\WQGISCH~1\\\apps\\\Python27\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win-amd64.egg’,
'C:\WPROGRA~1\WQGISCH~1\\Wapps\\\Python27\\\\lib\\\site-packages\\\\six-1.3.0-py2.7.egg’,
'C:\WPROGRA~1\WQGISCH~1\\Wapps\\\Python27\\\lib\\\site-packages\\\\wx-2.8-msw-unicode’,
'C:\WPROGRA~1\WQGISCH~1\\\apps\\\Python27\\\lib\\\\site-packages\\\\xIrd-0.9.2-py2.7.egg’,
'CA\WPROGRA~1\WQGISCH~1\\W\apps\\\Python27\\\\lib\\\site-packages\\\xlwt-0.7.5-py2.7.egg’,
'C:\WUsers\\Wbruno\\W\.qgis2\\python\\\\plugins\\\\MetaSearch\\\\ext-libs',
'C:\\WUsers\\Wbruno\\\.qgis2\\\python\\\\plugins\\\SelectTools/tools',
'C\WPROGRA~1\WQGISCH~1\\W\apps\\\qggis\\python\\\\plugins\\\\fTools\\\\tools']

No caso, carreguei uma imagem Raster, uma carta SRTM, fui até WEB> OPEN LAYER PLUGIN> GOOGLE MAPS> GOOGLE
SATELLITE

e 0 erro é quase imediato, ndo consigo abrir a visualizagédo, para depois tranferir para 3d via QGIS2THREEJS

Configura¢des da maquina: Sistema operacional Windows 7; 64 bits; versdo do QGis 2.4

Agradeco a ajuda e o suporte prestado,,

Bruno F.

History

#1 - 2014-09-19 03:19 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Ola Bruno,

o tickets no QGIS bug tracker sao para serem criados em Ingles.

O erro que esta a relatar é de um plugin (Openlayers) e ndo do QGIS, portanto devera ser relatado no bug tracker especifico desta ferramenta.

https://issues.qggis.org/projects/openlayers/issues

obrigado
